Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class WorkflowContext

    java.lang.Object
      com.beasys.commerce.foundation.WorkflowContext

All Implemented Interfaces
  Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class WorkflowContext

extends Object
implements Serializable

This class should be used only by the classes that implement the Workflow interface.

See Also
  Serialized Form

Constructor Summary
`WorkflowContext()` Deprecated See BEA Commerce product offering
`WorkflowContext(String state)` Deprecated See BEA Commerce product offering

Method Summary
`String` | `getState()` Deprecated See BEA Commerce product offering
`void` | `setState(String state)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkflowContext

    public WorkflowContext()

  Deprecated See BEA Commerce product offering

  This class should be used only by the classes that implement the Workflow interface. The default constructor is TopLink requirement

### WorkflowContext

    public WorkflowContext(String state)

  Deprecated See BEA Commerce product offering

  This class should be used only by the classes that implement the Workflow interface.

Method Detail

### getState

    public String getState()

  Deprecated See BEA Commerce product offering

  This method should be used only by the classes that implement the Workflow interface.

### setState

    public void setState(String state)

  Deprecated See BEA Commerce product offering

  This method should be used only by the classes that implement the Workflow interface.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved